using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class QueryMenuResponse: NewRockResponse
    {
        [XmlElement("menu")]
        public QueryMenuMenuResp Menu { get; set; }
    }

    public class QueryMenuMenuResp
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlElement("voicefile")]
        public string VoiceFile { get; set; }

        [XmlElement("infolength")]
        public string InfoLength { get; set; }

        [XmlElement("exit")]
        public string Exit { get; set; }

        [XmlElement("outer")]
        public QueryMenuOuter Outer { get; set; }

        [XmlElement("visitor")]
        public QueryMenuVisitor Visitor { get; set; }
    }

    public class QueryMenuOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("trunk")]
        public string Trunk { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }
    }

    public class QueryMenuVisitor
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }
    }
}
